GNU Radio's ADAPT Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::adapt::qrd_rls_filter_ff Class Referenceabstract

QR Decomposition Recursive Least Squares Adaptive Filter (float in/out) More...

`#include <qrd_rls_filter_ff.h>`

Inheritance diagram for gr::adapt::qrd_rls_filter_ff:
[legend]

## Public Types
typedef boost::shared_ptr< qrd_rls_filter_ff > | sptr

## Public Member Functions
virtual void | set_taps (const std::vector< float > &taps)=0
virtual const std::vector< float > & | get_taps ()=0
virtual float | get_delta () const =0
virtual void | set_delta (float delta)=0
virtual float | get_lambda () const =0
virtual void | set_lambda (float _lambda)=0
virtual unsigned | get_skip () const =0
virtual void | set_skip (unsigned skip)=0
virtual bool | get_adapt () const =0
virtual void | set_adapt (bool adapt)=0
virtual bool | get_reset () const =0
virtual void | set_reset (bool reset)=0

## Static Public Member Functions
static sptr | make (int num_taps, float delta, float _lambda, unsigned skip, unsigned decimation, bool adapt, bool reset)

## Detailed Description

QR Decomposition Recursive Least Squares Adaptive Filter (float in/out)

This block implements a QRD-RLS-based adaptive filter.

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<qrd_rls_filter_ff> gr::adapt::qrd_rls_filter_ff::sptr

## Member Function Documentation

## ◆ get_adapt()

virtual bool gr::adapt::qrd_rls_filter_ff::get_adapt | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ get_delta()

virtual float gr::adapt::qrd_rls_filter_ff::get_delta | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ get_lambda()

virtual float gr::adapt::qrd_rls_filter_ff::get_lambda | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ get_reset()

virtual bool gr::adapt::qrd_rls_filter_ff::get_reset | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ get_skip()

virtual unsigned gr::adapt::qrd_rls_filter_ff::get_skip | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ get_taps()

virtual const std::vector< float > & gr::adapt::qrd_rls_filter_ff::get_taps | ( |  | ) |
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ make()

static sptr gr::adapt::qrd_rls_filter_ff::make | ( | int | num_taps,
|  | float | delta,
|  | float | _lambda,
|  | unsigned | skip,
|  | unsigned | decimation,
|  | bool | adapt,
|  | bool | reset
| ) |  |
| static

Make a QRD-RLS adaptive filter

Parameters

  num_taps | Number of taps in the filter (int)
  delta | Regularization factor of the update loop (float)
  _lambda | Forgetting factor of the update loop (float)
  skip | Specifies how many samples are skipped between successive filter updates (unsigned)
  decimation | Decimation rate of the filter (unsigned)
  adapt | Controls whether filter taps are being updated (bool)
  reset | Reset filter taps (bool)

## ◆ set_adapt()

virtual void gr::adapt::qrd_rls_filter_ff::set_adapt | ( | bool | adapt | ) |
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ set_delta()

virtual void gr::adapt::qrd_rls_filter_ff::set_delta | ( | float | delta | ) |
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ set_lambda()

virtual void gr::adapt::qrd_rls_filter_ff::set_lambda | ( | float | _lambda | ) |
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ set_reset()

virtual void gr::adapt::qrd_rls_filter_ff::set_reset | ( | bool | reset | ) |
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ set_skip()

virtual void gr::adapt::qrd_rls_filter_ff::set_skip | ( | unsigned | skip | ) |
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

## ◆ set_taps()

virtual void gr::adapt::qrd_rls_filter_ff::set_taps | ( | const std::vector< float > & | taps | ) |
| pure virtual

Implemented in gr::adapt::qrd_rls_filter_ff_impl.

The documentation for this class was generated from the following file:

- qrd_rls_filter_ff.h